Bug 32709 - FILESAVE as PPT/PPTX indicated as corrupted by MS PPT Desktop App (Mac, Windows), MS PowerPoint Viewer and MS Office Web Apps
Summary: FILESAVE as PPT/PPTX indicated as corrupted by MS PPT Desktop App (Mac, Windo...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: All All
: highest critical
Assignee: Radek Doulik
QA Contact: Joel Madero
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: mab3.5 41992
  Show dependency treegraph
 
Reported: 2010-12-28 15:44 UTC by Yike
Modified: 2013-11-23 13:33 UTC (History)
13 users (show)

See Also:
Crash report or crash signature:


Attachments
2007 PPTX Format Sample Document Created by LibreOffice RC1 (5.95 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2010-12-28 15:44 UTC, Yike
Details
PPT Format Sample Document Created by LibreOffice RC1 (70.00 KB, application/vnd.ms-powerpoint)
2010-12-28 15:45 UTC, Yike
Details
Impress Export Test (ODP) (12.64 KB, application/vnd.oasis.opendocument.presentation)
2011-04-29 17:20 UTC, rygle
Details
Impress Export Test (OOo 3.3.0 ppt) (71.00 KB, application/vnd.ms-powerpoint)
2011-04-29 17:22 UTC, rygle
Details
Impress Export Test (OOo 3.4b1 ppt) (71.00 KB, application/vnd.ms-powerpoint)
2011-04-29 17:23 UTC, rygle
Details
Impress Export Test (LibreOffice 3.4b3 ppt) (71.00 KB, application/vnd.ms-powerpoint)
2011-04-29 17:25 UTC, rygle
Details
version exported with build from master branch (73.00 KB, application/vnd.ms-powerpoint)
2011-07-11 11:47 UTC, Radek Doulik
Details
IET.ppt, IET.pptx, IET2.pptx (31.34 KB, application/x-zip-compressed)
2012-01-17 15:20 UTC, mathog
Details
Original MS Office pptx presentation (288.08 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2012-05-13 08:46 UTC, Rahul Singh
Details
original MS Office pptx resaved as pptx without changes by LO (192.84 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2012-05-13 08:48 UTC, Rahul Singh
Details
ODP version of the document, converted by LO (174.15 KB, application/vnd.oasis.opendocument.presentation)
2012-05-13 08:49 UTC, Rahul Singh
Details
PPTX version of the document, created by opening the ODP version in LO (from the previous step), and saving-as MS office 2007-2010 (pptx format) (192.80 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2012-05-13 08:50 UTC, Rahul Singh
Details
Minimalist file recovery from bug (23.50 KB, application/zip)
2012-08-19 18:05 UTC, Lennard Wasserthal
Details
Another example (86.55 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2013-01-09 16:16 UTC, Russell Almond
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yike 2010-12-28 15:44:26 UTC
Created attachment 41495 [details]
2007 PPTX Format Sample Document Created by LibreOffice RC1

Hello!

I use LibreOffice in my daily work, but I have to exchange documents with MS Office formats (mainly .doc/.xls/.ppt) because all others use MS Office (mainly 2003). So I pay very much attention to try to reduce incompatibility at the utmost.

Yesterday I found a problem which LibreOffice has but OOo/Go-oo don't have.

The .ppt/.pptx documents created by LibreOffice (both of RC1 and RC2 for Windows and Linux) can't be opened by Microsoft PowerPoint Viewer (with the support of 2007 formats) and Micrsoft Office Web Apps.

MS PowerPoint Viewer says that the documents have a problem.

MS Office Web Apps warns that the .ppt documents have a potential security problem ("PowerPoint Web App cannot open this presentation because it may contain malicious content. To view or edit this presentation, open it in Microsoft PowerPoint.") and the .pptx documents are broken ("PowerPoint Web App cannot open this presentation because of an error. To view or edit this presentation, open it in Microsoft PowerPoint.").

However, MS Office PowerPoint can open these documents.

The .ppt/.pptx documents created by OpenOffice.org/Go-oo can be opened by both of MS PowerPoint Viewer and MS Office Web Apps without any warning.

LibreOffice RC2 has an other problem about converting an .odp document to a .pptx document. An .odp file of about 500 KB (with a column chart generated from a data sheet) is saved as a .ppt file with the similar size, but it will be saved as a .pptx file with more than 6 MB. (Sorry, I can't attach the specific document.)

Thanks for all people's efforts to launch and improve the great project!
Comment 1 Yike 2010-12-28 15:45:07 UTC
Created attachment 41496 [details]
PPT Format Sample Document Created by LibreOffice RC1
Comment 2 Yifan Jiang 2010-12-30 23:54:43 UTC
I have the 2 files a try in Microsoft PowerPoint Viewer 2010.

The ppt file problem is reproducible, while I can play the pptx file with viewer.

In addition, open the ppt file with MS Powerpoint and save it again, the PPT Viewer is able to play it. So It would be something different in the LibO version ppt.
Comment 3 Yike 2010-12-31 02:06:16 UTC
(In reply to comment #2)
> I have the 2 files a try in Microsoft PowerPoint Viewer 2010.
> 
> The ppt file problem is reproducible, while I can play the pptx file with
> viewer.
> 
> In addition, open the ppt file with MS Powerpoint and save it again, the PPT
> Viewer is able to play it. So It would be something different in the LibO
> version ppt.



My ideal is to completely abandon MS Office. I like open-source software and free software, not because they are free of charge but because I love freedom.

For exchanging documents with others, I have to pay attention to keeping the layout of the documents with MS Office's proprietary formats. I only use the free tools, MS Word/PowerPoint Viewer and MS Office Web Apps, to know whether the documents are compatible. As for "open the ppt file with MS Powerpoint and save it again", MS PowerPoint of course can open it, but MS PowerPoint Viewer and MS Office Web Apps can't open it. If I need to view the layout, I should find a computer with MS Office? How to let others accept LibreOffice and be free from dependence on MS Office?

OpenOffice.org and Go-oo don't have the bug, but I still hope that LibreOffice will be better.
Comment 4 Yike 2011-01-13 05:39:34 UTC
LibreOffice 3.3.0 RC3 has the bug, too.
Comment 5 rygle 2011-03-23 06:17:15 UTC
(In reply to comment #4)
> LibreOffice 3.3.0 RC3 has the bug, too.

OOO330m19 (Build:202) has the bug too, but OpenOffice OOO330m20 (Build:9567) does not. If I save a file in LibreOffice Impress and try to open it in Powerpoint, it complains - "Office has detected a problem with this file. To help protect your computer this file cannot be opened."

If I open the same file in OpenOffice 3.3.0 as above, and then resave, it opens in Powerpoint viewer without any problem or error message.

Open the OOo generated ppt file again in LOo and resave and the same message applies. "Office has detected a problem with this file. To help protect your computer this file cannot be opened."
Comment 6 Zack 2011-03-23 19:39:49 UTC
Reproducible with the .pptx file but NOT the .ppt file.

Running:
LO 3.3.2 release
Vista SP2 x86.
Comment 7 rygle 2011-03-27 21:51:03 UTC
(In reply to comment #6)
> Reproducible with the .pptx file but NOT the .ppt file.
> 
> Running:
> LO 3.3.2 release
> Vista SP2 x86.

@Zack - What Microsoft product are you using to open the ppt file?
Comment 8 Zack 2011-04-19 11:53:37 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > Reproducible with the .pptx file but NOT the .ppt file.
> > 
> > Running:
> > LO 3.3.2 release
> > Vista SP2 x86.
> 
> @Zack - What Microsoft product are you using to open the ppt file?
I'm using the Microsoft Office PowerPoint viewer.
Comment 9 Alejandro 2011-04-26 09:54:58 UTC
I'm sorry first of all not to be able to supply the documents themselves (business stuff I can't post). I'm working on getting a version I can strip somehow of data and make it reproducible. The problem is that after opening a .ppt document in libre office, powerpoint opens it but hangs as soon as an edit is made. We have worked around this by uploading to google docs and saving once more from there. 

On #libreoffice-dev I was told to check if it has any grouped drawings, but it doesn't.
Comment 10 rygle 2011-04-29 17:18:16 UTC
This bug has still been active through LibreOffice versions 3.3.2 (including release candidates) and now 3.4b1, 3.4b2 and 3.4b3. It is not and has not been an issue with any OpenOffice releases as far as I am aware - I have tested it on OOo3.3.0, OOo3.3.2 and OOo3.4b1. Obviously something has changed in the LibreOffice file .ppt format that hasn't changed in OpenOffice.

The error message I get is this "Office has detected a problem with this file. To help protect your computer this file cannot be opened."

The bug is *definitely not* to do with grouped drawings, but rather to do with a Microsoft security update called "Office File Validation" that refuses to open files that aren't precisely to its specification.

See the following links;
http://blogs.technet.com/b/office2010/archive/2009/12/16/office-2010-file-validation.aspx
http://blogs.technet.com/b/office2010/archive/2009/07/21/office-2010-application-security.aspx

And these ones particularly link this issue to the error message I receive;
http://support.microsoft.com/kb/973736
http://technet.microsoft.com/en-us/library/ee857084.aspx
Comment 11 rygle 2011-04-29 17:20:24 UTC
Created attachment 46172 [details]
Impress Export Test (ODP)

This file is a test ODP file generated by LibreOffice 3.4b3.
Comment 12 rygle 2011-04-29 17:22:21 UTC
Created attachment 46173 [details]
Impress Export Test (OOo 3.3.0 ppt)

This file is an export of the test odp to Powerpoint 97/2000/XP format. The export was done in OpenOffice 3.3.0 release. It opens fine in Powerpoint viewer 2010 (up to date patches).
Comment 13 rygle 2011-04-29 17:23:29 UTC
Created attachment 46174 [details]
Impress Export Test (OOo 3.4b1 ppt)

This file is an export of the test odp to Powerpoint 97/2000/XP format. The export was done in OpenOffice 3.4b1. It opens fine in Powerpoint viewer 2010 (up to date patches).
Comment 14 rygle 2011-04-29 17:25:04 UTC
Created attachment 46175 [details]
Impress Export Test (LibreOffice 3.4b3 ppt)

This file is an export of the test odp to Powerpoint 97/2000/XP format. The export was done in LibreOffice 3.4b3. It fails to open in Powerpoint viewer 2010 (up to date patches), giving the error "Office has detected a problem with this file. To help protect your computer this file cannot be opened."
Comment 15 rygle 2011-04-29 17:30:42 UTC
(In reply to comment #11)
> Created an attachment (id=46172) [details]
> Impress Export Test (ODP)
> 
> This file is a test ODP file generated by LibreOffice 3.4b3.

This file was designed to be an extremely simple test case, but the ppt files saved from it in LibreOffice still exhibit the problem. No macros, no fancy templates (using the default "Title slide" template on the top right in Impress), just straight text. I didn't do any formatting, not even changing the default font, just typed the text and saved.
Comment 16 Petr Mladek 2011-05-09 02:07:01 UTC
Radek, could you please have a look?
Comment 17 Radek Doulik 2011-05-12 08:49:53 UTC
Yup, I will look at it.

Yike, please could you also attach pptx version saved by Go-oo? I would like to check what changed meanwhile.
Comment 18 Andras Timar 2011-05-19 04:15:25 UTC
I also created a simple test file (one slide) on ODP format. I opened it with Go-OO and LibreOffice and saved as PPT/PPTX. I tried to them in PowerPoint Viewer 2010.

Go-OO 3.2:
save as PPT - OK
save as PPTX - OK

LibO 3.3.2:
save as PPT - error
save as PPTX - OK

LibO 3.4rc1:
save as PPT - error
save as PPTX - can't save to PPTX, Write Error
Comment 19 Rainer Bielefeld Retired 2011-05-19 06:02:31 UTC
I modified Status due to facts.
Comment 20 Petr Mladek 2011-05-20 08:06:19 UTC
The problem was already in 3.3.x release. Presenters usually do the presentation themselves, so they have MS Office at hands => can't block the 3.4.0 release => reducing the severity a bit. We will do our best to fix this for 3.4.1.
Comment 21 rygle 2011-05-20 08:57:36 UTC
It seems to me that this is fairly important as it affects every ppt someone emails to someone else. I would personally view it as a blocker. It was enough of an issue for me that I am currently using OOo 3.4b instead of LO, and have given disks of OOo to several friends who I had installed LO for.

It also seems to me that it shouldn't be hard to find what is causing this, as some patch has been applied within a fairly short time frame to introduce this regression before the first release of LibreOffice, it only affects a fairly particular component, and whatever patch was applied was not applied to OpenOffice or Go-OOo.

So in my view it should be possible to look at all the patches applied to powerpoint exports in the time shortly before LO, and compare which of these have been applied or not to OOo. If someone has access to both code bases and knows how to build LO, you would possibly have to test no more than 5 patches (a guess) to eliminate which has caused this. I used to do this for Inkscape all the time, but unfortunately I haven't got the time to get up to speed for LO/OOo.
Comment 22 Andras Timar 2011-05-22 09:42:31 UTC
PPTX files saved from Go-OO 3.2, LibreOffice 3.3.2, LibreOffice 3.4 rc1 all open in MS PowerPoint Viewer 2010. None of those PPTX files open in MS Web Office. This is bug#1: PPTX files saved from LibreOffice do not open in MS Web Office (corrupted contents).

PPT file saved from Go-OO 3.2 opens both in MS PowerPoint Viewer 2010 and MS Web Office.

PPT file saved from OOo 3.3 opens both in MS PowerPoint Viewer 2010 and MS Web Office.

PPT file saved from LibreOffice 3.3.2 opens neither in MS PowerPoint Viewer 2010  nor in MS Web Office (malicious content).

PPT file saved from LibreOffice 3.4 opens neither in MS PowerPoint Viewer 2010 nor in MS Web Office (editing error).

Error message in MS PowerPoint Viewer 2010 was always "Office has detected problems with this file. To help protect your computer this file cannot be opened."
This is bug#2: regression: PPT files saved from LibreOffice 3.3 and higher cannot be opened in MS PowerPoint Viewer 2010 and MS Web Office.

PPT file saved from either LibreOffice 3.3.2 or LibreOffice 3.4 rc1 can be opened in MS PowerPoint 2010 with this warning: "Office has detected a problem with this file. Editing may harm your computer." PPT file saved from either OOo 3.3 or Go-OO 3.2 opens without warning. All test PPTX files open in PowerPoint 2010 without warning.
Comment 23 Andras Timar 2011-05-24 01:32:40 UTC
I dumped valid and invalid ppt files and I found that in the invalid file the \x05DocumentSummaryInformation stream was corrupted. When I renamed the stream with hexa editor in order to programs ignore it (\x05DocumentSummaryInformation stream is optional), then the file opened in MS PowerPoint Viewer 2010 and in MS PowerPoint 2010 without warning. Now we need to find out what went wrong with exporting \x05DocumentSummaryInformation stream in the code.
Comment 24 rygle 2011-05-28 08:32:28 UTC
@ Petr Mladek

Your comments don't hold water.

What often happens is that presenters give their presentations to someone on a memory stick or CD and they have to hope it is compatible. In other cases people use software to present that integrates lots of individual elements/presentations into a larger run sheet/schedule program that will often use Powerpoint or Powerpoint Viewer as the presentation engine, even if it's behind the scenes of another package. See for example screen monkey, which is merely one example of a whole category of presentation software that is all about the scheduling side of things, but which uses Powerpoint behind the scenes.

It seems that TDF are currently looking for corporate backing, but a big company will not back a product that fails to do the most basic functions. To companies, and to individuals, interoperability is a very strongly held ideal. Isn't it one of the key founding principles of TDF? Well, it seems only on paper...
Comment 25 Petr Mladek 2011-06-09 08:03:32 UTC
(In reply to comment #24)
> @ Petr Mladek
> 
> Your comments don't hold water.
> 
> What often happens is that presenters give their presentations to someone on a
> memory stick or CD and they have to hope it is compatible.

I was aware of this.

> It seems that TDF are currently looking for corporate backing, but a big
> company will not back a product that fails to do the most basic functions. To
> companies, and to individuals, interoperability is a very strongly held ideal.
> Isn't it one of the key founding principles of TDF? Well, it seems only on
> paper...

This is not true. Please note that LO has switched to time based releases. You might read the following at http://wiki.documentfoundation.org/Release_Criteria :

--- cut ---
The time based release makes happy all type of users. Enthusiasts start using X.Y.0 releases with lovely new features and known bugs. While more conservative users are later attracted by the frequent pure bug fix releases. Even the most conservative users is satisfied by a later bug fix releases, e.g. X.Y.3. 
--- cut ---

This bugs is the 6th most important bug in the list of most annoying bugs. I am pretty sure that we will fix it before LO-3.4.3 release. I guess that corporate users are the most conservative ones. They need to wait for 3.4.2 or 3.4.3 anyway.
Comment 26 Petr Mladek 2011-07-07 07:13:56 UTC
Radek, any chance to get this fixed for 3.4.2?
Comment 27 Radek Doulik 2011-07-11 11:45:30 UTC
I have fixed it just now in master branch and will send for review.

I have fixed the PPT export, if I understand it correctly the PPTX export was OK. Please test and let me know if you still experience problems.
Comment 28 Radek Doulik 2011-07-11 11:47:15 UTC
Created attachment 48981 [details]
version exported with build from master branch
Comment 29 rygle 2011-07-20 09:37:21 UTC
Thanks Radek! Your attached file seems to open fine for me using Powerpoint Viewer 2010. Very much appreciated!
Comment 30 rygle 2011-07-29 08:56:03 UTC
Can someone please push this fix into 3.4.2 RC4? Sadly it's not in 3.4.2 RC3...
Comment 31 rygle 2011-08-25 20:22:11 UTC
This fix works well in 3.3.4 but has still not been merged into 3.4.3 RC1
Comment 32 Radek Doulik 2011-08-30 09:28:43 UTC
(In reply to comment #31)
> This fix works well in 3.3.4 but has still not been merged into 3.4.3 RC1

I see the fix on 3-4-3 branch so I wonder why do you think it is not merged in 3.4.3 RC1. What build do you use and how do you test it?
Comment 33 rygle 2011-08-31 04:34:08 UTC
My apologies. I thought I had tested this using the latest RC, but obviously I hadn't, and I also didn't see a mention of it in the change logs for any of the 3.4.3 builds.

Thank you again for your help.
Comment 34 drhatch 2011-09-28 10:09:20 UTC
This bug is listed as fixed for LO 3.4.2 under libs-gui on page http://wiki.documentfoundation.org/Releases/3.4.2_info_about_fixes

When I open your attachment 48941 of 2011-07-11 with LO 3.4.3/OOO340m1 (Build: 302) for Windows (running on XP SP3) and save it as .pptx, I get a file that can not be opened with either PowerPoint Viewer 2007 (published 12/3/2007) or PowerPoint Viewer 2010 (published 5/5/2010).
Comment 35 mathog 2012-01-17 15:20:39 UTC
Created attachment 55701 [details]
IET.ppt, IET.pptx, IET2.pptx

3.5.0.b2. all tests on Windows XP SP3.

(IET is an abbreviation for "Impress Export Test", the actual name of the file)

1.  Opened IET.odp example of 2011-04-29 17:20 PDT, rygle and saved as IET.pptx 
2.  Opened IET.odp example of 2011-04-29 17:20 PDT, rygle and saved as IET.ppt
3.  IET.ppt file opened with MS PowerPoint 2003
4.  IET.pptx would NOT open with MS PowerPoint 2003 (with 2007 extensions, which let it open most .pptx).
5.  IET.pptx does open with MS PowerPoint 2010
6.  save from MS PowerPoint 2010 to IET2.pptx
7.  IET2.pptx does open with MS PowerPoint 2003 (with 2007 extensions).

The three files are in the .zip attachment
Comment 36 dE 2012-02-13 11:03:40 UTC
I'm affected by this bug.

Bug 41992 appears to be a duplicate.
Comment 37 Rainer Bielefeld Retired 2012-03-31 00:56:34 UTC
In attached test kit you find results with various exports from "TestPresentation.odp" to MS presentation documents with  "LibreOffice 3.5.2.2 German UI/Locale [Build-ID: 281b639-6baa1d3-ef66a77-d866f25-f36d45f] on German WIN7 Home Premium (64bit).
Most documents can not be opened with my PP-Viewer (version 12.0.4518.1014), only successful for PP2007.pot, PP2007.pps, PP2007.ppt.
PP-Viewer also was not able to open document exported from LibO 3.3.0

But this partially might be a MS PPV problem. I updated to Version 14.0.4760.1000 and now at least it worked for document exported from LibO 3.3.0, but other documents still can not be opened.

Unfortunately I can't tell whether this problem is caused by exactly the same roots as the problem in original report.

Modified Version due to Comment 20;
@pittos@post.com:
<http://wiki.documentfoundation.org/BugReport_Details#Version> 

3.4 lifecycle is terminated, so shift to “Bug 37361 LibreOffice 3.5 most annoying bugs”

@drhatch:
What information can you contribute confirming that the old problem reappeared / is unifixed and not a new one additionally causes problems? I can't indicate a .ppt problem any longer

@mathog:
"Impress Export Test2.pptx" opens fine with my Viewer.

@Radek
Can you please add Target information to Whiteboard for your fix (I believe target:3.5.0?).
Comment 38 dE 2012-03-31 07:40:07 UTC
(In reply to comment #35)
> Created attachment 55701 [details]
> IET.ppt, IET.pptx, IET2.pptx
> 
> 3.5.0.b2. all tests on Windows XP SP3.
> 
> (IET is an abbreviation for "Impress Export Test", the actual name of the file)
> 
> 1.  Opened IET.odp example of 2011-04-29 17:20 PDT, rygle and saved as IET.pptx 
> 2.  Opened IET.odp example of 2011-04-29 17:20 PDT, rygle and saved as IET.ppt
> 3.  IET.ppt file opened with MS PowerPoint 2003
> 4.  IET.pptx would NOT open with MS PowerPoint 2003 (with 2007 extensions,
> which let it open most .pptx).
> 5.  IET.pptx does open with MS PowerPoint 2010
> 6.  save from MS PowerPoint 2010 to IET2.pptx
> 7.  IET2.pptx does open with MS PowerPoint 2003 (with 2007 extensions).
> 
> The three files are in the .zip attachment

Seconded.
Comment 39 dE 2012-03-31 08:16:59 UTC
Also when you open a Office made pptx document, and edit a side, the document becomes corrupt.

When open the corrupted document, Office is only able to recover the slides which libreoffice didn't touch.

According to many users this will mean data loss.
Comment 40 Rahul Singh 2012-05-04 07:14:21 UTC
Radek, All: 

I have been experiencing the problem with LO saving .pptx files in a format unreadable by MS Office. My belief is that it has to do with PPT documents containing OLE objects. LO has made huge advancements in 3.5 release to read OLE objects (e.g. charts created in excel/calc), but it is not currently writing them back in a format that MS Office (or Google Docs) can read. I have some example documents that I will upload shortly that clearly illustrate the problem.

OOO doesn't have the problem because it can't read those OLE objects properly in the first place, so doesn't make any mistakes writing them back!!

-RS
Comment 41 dE 2012-05-05 09:32:32 UTC
But this problem persists even there're no OLEs in the document.
Comment 42 Rahul Singh 2012-05-13 08:41:42 UTC
Hi,

Yes, this problem happens with documents containing OLE objects, and documents without OLE objects alike.

I have attached the follow four test presentations:

1) The original - "Test presentation - original.pptx" - this opens in MS Office for Mac 2008, and in LO 3.5.3

2) The original opened in LO, and reserved by LO without making any changes (as MS Office 2007-2010 format (.pptx)) - "Test presentation - original - saved by LO.pptx". This does NOT open in MS Office - I get the error "Powerpoint cannot read the presentation ...", followed by "Powerpoint cannot open ... because part of the file is missing"

3) The odp version of the presentation, saved by LO - - "Test presentation - saved by LO.odp". 

4) I finally opened the odp in 3 above in LO, and saved as .pptx in LO (2007-2010 format) - "Test presentation - first saved as odp, then reopened and saved as pptx by LO.pptx". This file now opens in MS Office but I get errors for slides 2 and 3 - "Powerpoint cannot read ...". These come up as blank sides, slides 1, 4 and 5 come up ok.
Comment 43 Rahul Singh 2012-05-13 08:46:19 UTC
Created attachment 61559 [details]
Original MS Office pptx presentation
Comment 44 Rahul Singh 2012-05-13 08:48:15 UTC
Created attachment 61560 [details]
original MS Office pptx resaved as pptx without changes by LO
Comment 45 Rahul Singh 2012-05-13 08:49:12 UTC
Created attachment 61561 [details]
ODP version of the document, converted by LO
Comment 46 Rahul Singh 2012-05-13 08:50:58 UTC
Created attachment 61562 [details]
PPTX version of the document, created by opening the ODP version in LO (from the previous step), and saving-as MS office 2007-2010 (pptx format)
Comment 47 dE 2012-08-10 07:23:22 UTC
Looks like there're no volunteers to fix this since more than a year.

Can this feature be marked experimental? Otherwise the market share of LO is going to downgrade from 5% to 0.5%.
Comment 48 Lennard Wasserthal 2012-08-15 08:14:03 UTC
Way to go:

Looks like it's best to edit a (XML) file that exhibits this bug manually to remove one line after the other until the Problem ceases to exist, then we know what the part looks like thats the trigger.

But in order to do so, I need some kind of ,,Lossless'' Editor that can edit pptx files on a xml level and does only change things you intend to change, so i need a program which can do this, best a one that only decompresses the files to plain readable XML text and back, and for the case that it turns out to be an error on the compression level it would be helpful if that program would be open source... and LEAN! (in this case, such a finding could be a step forward anyway...)

Does somebody know such a program he could recommend to  me?

It may happen that its NOTOURBUG but we must find it out.
Comment 49 Radek Doulik 2012-08-15 12:08:16 UTC
I have looked at this bug again, but didn't found anything wrong with validator and 2010 MSO loads the IET.pptx file fine. Unfortunately I don't have MSO2003 at hand.

I have fixed similar bug #41992 today, so there is a slight chance it might help with 2003 issue as well. No way to test it here.

Lennard, if you want to try edit pptx, emacs works nicely for that. What I usually do is I 1st unpack the pptx file, so that I reformat it nicely with xmlint, I do it with fxreformat function (put this in your .bashrc

fxreformat() {
        find | egrep '\.(xml|rels)$'|while read i; do xmllint -format $i > $i.new; rm $i; mv $i.new $i; done
}

), run fxreformat in unpacked directory and pack it again. Then I just open the archive in emacs and edit it and save it as I need.
Comment 50 Lennard Wasserthal 2012-08-15 13:47:56 UTC
Arrgh, I'm such a fool, I didn't know that theyre zip files.
(This solves my request, of course)
However, just unzipping and rezipping it with winrar didn't change anything.
I'm doing tests on it - Can you mail me your pathch for bug #41992 so that I can use that patch in my tests? I got WinXP sp3 openXML converter which strangely says ,,The file couldn't be saved by the converter''.
Comment 51 dE 2012-08-16 01:15:33 UTC
(In reply to comment #50)
> Arrgh, I'm such a fool, I didn't know that theyre zip files.
> (This solves my request, of course)
> However, just unzipping and rezipping it with winrar didn't change anything.
> I'm doing tests on it - Can you mail me your pathch for bug #41992 so that I
> can use that patch in my tests? I got WinXP sp3 openXML converter which
> strangely says ,,The file couldn't be saved by the converter''.

Actually, why cant a text editor be used?
Comment 53 Lennard Wasserthal 2012-08-16 12:20:13 UTC
It seems also Powerpoint 2010 Professional sees attachment 61562 [details] as corrupted.
(but can restore it)
Comment 54 Lennard Wasserthal 2012-08-19 18:05:43 UTC
Created attachment 65788 [details]
Minimalist file recovery from bug

Created a pptx file with MS Office Professional 2010, resaved with libreoffice using your 3 patches, Radek (as pptx). Opens cleanly in LibO 3.5. Opens cleanly in MS Office Professional 2010. Wont open in MS Open XML Converter. (Says: the file could not be saved, as always).

I attach two files. One is the one directly saved with Libre Office, the other contains all changes I had to make until *MS Open XML converter* accepted it, namely:

1. renumbering some rID's in >>presentation.xml and presentation.xml.rels<< not to start at 2 but 1,
2. renumbering <p:sp> <p:cNvPr id='s (who started at id="0") to higher numbers in slidemaster1.xml and slidemaster1.xml.rels
3. Excluding the twelveth - and LibreOffice created! - slideLayout12.xml from the r:id="rId<...>" enumeration. 

Libo_resaved_patched.pptx THIS attachement is the DAMAGED form
best_repair.pptx The most minimalist repair effort I tried that succeeded.

I couldn't repair the file by just REMOVING the added slideLayout12.xml from the references, or substituting it with a modified slideLayout3.xml.
That means, there must be something going bad with the numbering.

By the way: I couldn't save the MS-Originated pptx file (not included) as ppt with Radek-patched LO! not even with .odp in-between.

By the way, >>noch heil<< means >>still intact<< in german, not something evil.
Comment 55 Lennard Wasserthal 2012-08-21 17:02:51 UTC
In the latest master of LO, writing .ppt files (by saving an MSO 2010 Originated pptx file) returned an error that the file couldn't be created.
The error had not occurred when using some ?branch? where the stem directory was called ,,libo'' instead of ,,core''. (don't know how I got that).
That file could be opened by MS Power Point Viewer 2010 without trouble.
With that same version, the repectively saved pptx file returned an error in XML converter.
but right now, you cant save a .ppt file that WAS originally a MSO 2010 pptx file.

greetings
Comment 56 Russell Almond 2013-01-09 16:16:06 UTC
Created attachment 72728 [details]
Another example
Comment 57 Russell Almond 2013-01-09 16:19:44 UTC
I am also seeing this bug in 3.5.4.2.  I've added another attachment in hopes that this will help the debugging.  These are some slides that I originally did in MS Powerpoint 2008, but I later edited in LO 3.5.4.2 and Powerpoint is not reporting them as corrupted in both the Mac and Windows version.  The corruption does not appear on the first slide, but instead one of the later slides.

Thanks for your work on this bug.  It is essentially blocking me from using LibreOffice and Linux for my lecture prep.
Comment 58 Lennard Wasserthal 2013-01-10 10:13:41 UTC
Dont restrict the occurrences. It is known to fail on windows and 32 bit, too!
Currently I am trying to fix this export issue by searching for incompatibilities that make differences in the content. Maybe that will solve it anyway, but as soon as I learn enough about numbering, I will try to change something about numbering as this obviously solves the export issue, but maybe that just hides that the real problem is somewhere else.

By the way, do we neeed to set it on the latest version? the we could -perhaps -  set it to 4.0, too, I am afraid...
Comment 59 Lennard Wasserthal 2013-01-14 18:44:47 UTC
It is true that the version number entered should show the FIRST occurrence, isnt it?
Comment 60 dE 2013-02-02 05:26:21 UTC
(In reply to comment #59)
> It is true that the version number entered should show the FIRST occurrence,
> isnt it?

No.

This problem doesn't persist with 3.6.4.3
Comment 61 Thorsten Behrens (CIB) 2013-02-08 13:05:46 UTC
(In reply to comment #60)
> This problem doesn't persist with 3.6.4.3
>
So you say it is fixed for you starting 3.6.4.3 ?
Comment 62 dE 2013-02-09 04:32:43 UTC
(In reply to comment #61)
> (In reply to comment #60)
> > This problem doesn't persist with 3.6.4.3
> >
> So you say it is fixed for you starting 3.6.4.3 ?

Yes.
Comment 63 Joel Madero 2013-02-11 15:49:49 UTC
Due to the last comment I am marking this as RESOLVED - FIXED. Usually we would put WORKSFORME as we don't know the patch that fixed the issue but so many people confirmed that it was an issue on 3.5 series that FIXED seems more accurate.

3.5 is at end of life so whatever fixed the issue in 3.6 will not be ported back to 3.5 series. 

Thanks for confirming that the issue is resolved.